
// Copyright (C) 2008-2009 - INRIA - Michael Baudin
//
// This file must be used under the terms of the CeCILL.
// This source file is licensed as described in the file COPYING, which
// you should have received as part of this distribution.  The terms
// are also available at
// http://www.cecill.info/licences/Licence_CeCILL_V2-en.txt

//
// makematrix_circul --
//   Returns the circular matrix of size n with entries x
// Arguments
//   x : row vector with size n
// Reference
//  Matlab
//
function m = makematrix_circul ( x )
  nrows = size(x,"r")
  ncols = size(x,"c")
  if ( nrows == 1 ) then
    n = ncols
  else
    n = nrows
    x = x.'
  end
  ixlast = n
  imlast = 0
  for i = 1:n
    if ( imlast >= 1 ) then
      m(i,1:imlast) = x(ixlast+1:n)
    end
    m(i,imlast+1:n) = x(1:ixlast)
    imlast = imlast + 1
    ixlast = ixlast - 1
  end
endfunction

