
// Copyright (C) 2008-2009 - INRIA - Michael Baudin
//
// This file must be used under the terms of the CeCILL.
// This source file is licensed as described in the file COPYING, which
// you should have received as part of this distribution.  The terms
// are also available at
// http://www.cecill.info/licences/Licence_CeCILL_V2-en.txt

//
// makematrix_frankmin --
//   Returns the Frank-min matrix of size n
// Arguments, input
//  n : the size of the matrix to return
// Reference
//  J.C. Nash, Compact Numerical Methods for Computers: Linear
//  Algebra and Function Minimisation, second edition, Adam Hilger,
//  Bristol, 1990 (Appendix 1).
//  "A reasonably well behaved matrix."
//
function m = makematrix_frankmin ( n )
  m = zeros(n,n);
  for i = 1:n
  for j = 1:n
    m(i,j) = min(i,j)
  end
  end
endfunction

