
// Copyright (C) 2008-2009 - INRIA - Michael Baudin
//
// This file must be used under the terms of the CeCILL.
// This source file is licensed as described in the file COPYING, which
// you should have received as part of this distribution.  The terms
// are also available at
// http://www.cecill.info/licences/Licence_CeCILL_V2-en.txt

//
// makematrix_hilbert --
//   Returns the hilbert matrix of size n
//   Symetric, positive definite, ill conditioned.
// Arguments, input
//  n : the size of the matrix to return
// Reference
//  http://en.wikipedia.org/wiki/Hilbert_matrix
//
function m = makematrix_hilbert ( n )
  m = zeros(n,n);
  for i = 1:n
  for j = 1:n
    m(i,j) = 1.0/(i + j - 1.0);
  end
  end
endfunction

