
// Copyright (C) 2008-2009 - INRIA - Michael Baudin
//
// This file must be used under the terms of the CeCILL.
// This source file is licensed as described in the file COPYING, which
// you should have received as part of this distribution.  The terms
// are also available at
// http://www.cecill.info/licences/Licence_CeCILL_V2-en.txt

//
// makematrix_normal --
//   Returns a random matrix of size n following normal law with 
//   average 0 and standard deviation 1 
// Arguments
//   n : the size of the matrix
// Reference
//  Nicolas Higham, Accuracy and Stability of Numerical Algorithms
//  A Gallery of Test Matrices
// Note:
//  See Edelman's for properties of these matrices.
//  A normal matrix is not typical...
//  Random matrices from normal law are very well conditionned.
//
function m = makematrix_normal ( n )
  m = grand(5,5,'nor',0.0,1.0)
endfunction

