
// Copyright (C) 2008-2009 - INRIA - Michael Baudin
//
// This file must be used under the terms of the CeCILL.
// This source file is licensed as described in the file COPYING, which
// you should have received as part of this distribution.  The terms
// are also available at
// http://www.cecill.info/licences/Licence_CeCILL_V2-en.txt

//
// makematrix_vandermonde --
//   Returns the Vandermonde matrix of size n,
//   made with entries from x.
// Arguments, input
//  x : the input row vector
// References
//   http://en.wikipedia.org/wiki/Vandermonde_matrix
//
function a = makematrix_vandermonde ( x )
  if x==[] then
    a = []
    return
  end
  n = size(x,2)
  a = zeros(n,n)
  a(1:n,n) = ones(n,1)
  y = x
  for i = n-1:-1:1
    a(1:n,i) = y(1:n)'
    y = y.*x
  end
endfunction

