
// Copyright (C) 2008 - INRIA - Michael Baudin
//
// This file must be used under the terms of the CeCILL.
// This source file is licensed as described in the file COPYING, which
// you should have received as part of this distribution.  The terms
// are also available at
// http://www.cecill.info/licences/Licence_CeCILL_V2-en.txt

//
// assert_equal --
//   Returns 1 if the two real matrices computed and expected are equal.
// Arguments
//   computed, expected : the two matrices to compare
//   epsilon : a small number
//
function flag = assert_equal ( computed , expected )
  if computed==expected then
    flag = 1;
  else
    flag = 0;
  end
  if flag <> 1 then pause,end
endfunction

computed = magic ( 10 );
expected = [
    92.    99.    1.      8.     15.    67.    74.    51.    58.    40.  
    98.    80.    7.      14.    16.    73.    55.    57.    64.    41.  
    4.     81.    88.     20.    22.    54.    56.    63.    70.    47.  
    85.    87.    19.     21.    3.     60.    62.    69.    71.    28.  
    86.    93.    25.     2.     9.     61.    68.    75.    52.    34.  
    17.    24.    76.     83.    90.    42.    49.    26.    33.    65.  
    23.    5.     82.     89.    91.    48.    30.    32.    39.    66.  
    79.    6.     13.     95.    97.    29.    31.    38.    45.    72.  
    10.    12.    94.     96.    78.    35.    37.    44.    46.    53.  
    11.    18.    100.    77.    84.    36.    43.    50.    27.    59.  
];
assert_equal ( computed , expected );


